package cn.com.countrygarden.bi.main.model.financial.dto;

import java.math.BigDecimal;

/**
 * @Atuhor: Geoffrey
 * @Description: 财务报表利润部分DTO
 * @Date: Create in 14:54 2018/8/9
 * @ModifedBy:
 */
public class Profit {
    private BigDecimal incomeWithTax;       //含税收入 = 取含税的
    private BigDecimal incomeWithOutTax;    //不含税收入 = 收入合计
    private BigDecimal outcomeWithOutTax;   //不含税成本 = 成本合计
    private BigDecimal profitWithTax;       //不含税毛利 = 上面两个差
    private BigDecimal profitWithOutTax;    //税后净利润 = 税前利润（含年终奖） - 所得税费用 - 少数股东本期损益


    private BigDecimal tax;                 //税金及附加 （subBalance）6403%
    private BigDecimal outIncome;           //营业外收入 （subBalance）6301% - 6711%， 小于0用短横杠 “-” 代替
    private String profitOrLoss;        //资产减值损失&投资损失 = 手动输入，默认0
    private BigDecimal profitWithOutBonus;  //税前利润（不含年终奖）= 不含税毛利 - 税金及附加 - 间接费用合计 - 减值损失 + 营业外收入 + 年终奖
    private BigDecimal bonus;               //年终奖 = 三个成本里面的年终奖
    private BigDecimal profitWithBonus;     //税前利润（含年终奖） = 上面两个的差
    private BigDecimal incomeTax;           //所得税费用  = 上面那个*25%
    private String ownerProfit;         //少数股东本期损益 = 手动输入，默认0


    public BigDecimal getIncomeWithTax() {
        return incomeWithTax;
    }

    public void setIncomeWithTax(BigDecimal incomeWithTax) {
        this.incomeWithTax = incomeWithTax;
    }

    public BigDecimal getIncomeWithOutTax() {
        return incomeWithOutTax;
    }

    public void setIncomeWithOutTax(BigDecimal incomeWithOutTax) {
        this.incomeWithOutTax = incomeWithOutTax;
    }

    public BigDecimal getOutcomeWithOutTax() {
        return outcomeWithOutTax;
    }

    public void setOutcomeWithOutTax(BigDecimal outcomeWithOutTax) {
        this.outcomeWithOutTax = outcomeWithOutTax;
    }

    public BigDecimal getProfitWithTax() {
        return profitWithTax;
    }

    public void setProfitWithTax(BigDecimal profitWithTax) {
        this.profitWithTax = profitWithTax;
    }

    public BigDecimal getProfitWithOutTax() {
        return profitWithOutTax;
    }

    public void setProfitWithOutTax(BigDecimal profitWithOutTax) {
        this.profitWithOutTax = profitWithOutTax;
    }

    public BigDecimal getTax() {
        return tax;
    }

    public void setTax(BigDecimal tax) {
        this.tax = tax;
    }

    public BigDecimal getOutIncome() {
        return outIncome;
    }

    public void setOutIncome(BigDecimal outIncome) {
        this.outIncome = outIncome;
    }

    public String getProfitOrLoss() {
        return profitOrLoss;
    }

    public void setProfitOrLoss(String profitOrLoss) {
        this.profitOrLoss = profitOrLoss;
    }

    public BigDecimal getProfitWithOutBonus() {
        return profitWithOutBonus;
    }

    public void setProfitWithOutBonus(BigDecimal profitWithOutBonus) {
        this.profitWithOutBonus = profitWithOutBonus;
    }

    public BigDecimal getBonus() {
        return bonus;
    }

    public void setBonus(BigDecimal bonus) {
        this.bonus = bonus;
    }

    public BigDecimal getProfitWithBonus() {
        return profitWithBonus;
    }

    public void setProfitWithBonus(BigDecimal profitWithBonus) {
        this.profitWithBonus = profitWithBonus;
    }

    public BigDecimal getIncomeTax() {
        return incomeTax;
    }

    public void setIncomeTax(BigDecimal incomeTax) {
        this.incomeTax = incomeTax;
    }

    public String getOwnerProfit() {
        return ownerProfit;
    }

    public void setOwnerProfit(String ownerProfit) {
        this.ownerProfit = ownerProfit;
    }
}
